import { Part } from '../../part.js';
declare type IDateKey = 'year' | 'month' | 'day' | 'hour' | 'minute' | 'seconds' | 'milliseconds';
export declare class ClockPart extends Part {
    static transformLegacy(app: any): void;
    getCurrent(key: IDateKey): number;
    get(key: 'date' | 'time'): string;
}
export default ClockPart;
